Get user's test/survey answers
Endpoint URL
GET /api/v2/results
Get user's test/survey answers
Retrieve detailed test/survey results for a specific user and unit, including status, score, completion date, and a breakdown of answers for each question.
Request
Responses
- 200
- 400
- 403
- 404
- 409
Successful response
Invalid or missing user_id or unit_id
Insufficient permissions
The unit or user was not found, the user is not enrolled in the course, the unit is locked by course traversal rules, or the user has no answers for this test
Unit is not a test/survey, progress incomplete, or user inactive